Bug 492324

Summary: user switching = computer frozen
Product: [Fedora] Fedora Reporter: Michal Hlavinka <mhlavink>
Component: xorg-x11-drv-nouveauAssignee: Ben Skeggs <bskeggs>
Status: CLOSED INSUFFICIENT_DATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: 11CC: airlied, ajax, awilliam, bskeggs, mcepl
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-11-06 15:41:26 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
Xorg.0.log
none
Xorg.1.log
none
screenshot
none
new Xorg.0.log none

Description Michal Hlavinka 2009-03-26 09:49:23 EDT
Description of problem:
when I use user switching it freezes computer (can't try ssh so I can't check if it's frozen completely, but it does not react for mouse, keyboard and power button).

Version-Release number of selected component (if applicable):
hw GeForce Go 7600
http://www.smolts.org/client/show/pub_bba430ef-8458-4331-9ff2-a246dd6b34df

How reproducible:
allways

Steps to Reproduce:
1. system -> logout -> switch user
2. freez
3.
  
Actual results:
system not responding

Expected results:
switched user

Additional info:
user switching works after rpm -e xorg-x11-drv-nouveau
Comment 1 Adam Williamson 2009-03-27 17:07:28 EDT
After reproducing the failure, can you reboot to runlevel 3 and grab /var/log/Xorg.0.log? (If you reboot to regular runlevel it'll get overwritten of course...)

Ben, any other information that would be useful?

What happens if you do the restart X test as described in the test case rather than using fast user switching?

thanks!

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 2 Michal Hlavinka 2009-03-30 14:46:37 EDT
(In reply to comment #1)
> After reproducing the failure, can you reboot to runlevel 3 and grab
> /var/log/Xorg.0.log? (If you reboot to regular runlevel it'll get overwritten
> of course...)

will do

> Ben, any other information that would be useful?
> 
> What happens if you do the restart X test as described in the test case rather
> than using fast user switching?

this works
Comment 3 Michal Hlavinka 2009-03-30 14:47:53 EDT
Created attachment 337236 [details]
Xorg.0.log
Comment 4 Michal Hlavinka 2009-03-30 14:48:24 EDT
Created attachment 337237 [details]
Xorg.1.log
Comment 5 Michal Hlavinka 2009-03-30 15:04:04 EDT
tested with test day live cd

updating xorg server and nouveau driver makes no difference
Comment 6 Adam Williamson 2009-03-30 15:56:04 EDT
Thanks. So, this failure is specifically related to using fast user switching? OK, interesting. I guess it's multiple X servers that causes the problem, maybe.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 7 Ben Skeggs 2009-04-17 03:32:24 EDT
This should've been fixed a while back, closing!
Comment 8 Michal Hlavinka 2009-04-20 14:21:47 EDT
(In reply to comment #7)
> This should've been fixed a while back, closing!  

unfortunately, this is still not fixed

tested with nouveau test day livecd with updated X server and nouvau driver (version 2009-04-17)
Comment 9 Ben Skeggs 2009-04-20 16:43:06 EDT
What was the kernel version of the livecd?
Comment 10 Michal Hlavinka 2009-04-22 03:25:14 EDT
kernel-2.6.29-0.279.rc8.git6.fc11.x86_64
and updated:
xorg-x11-server 1.6.1-6.fc11
xorg-x11-drv-nouveau 0.0.12-29.20090417gitfa2f111.fc11
Comment 11 Michal Hlavinka 2009-04-22 03:25:48 EDT
btw, I can re-test with updated kernel if you think it makes a difference
Comment 12 Ben Skeggs 2009-04-22 03:56:20 EDT
Yeah, the fix for this issue went into kernel-2.6.29.1-52.fc11 :)
Comment 13 Michal Hlavinka 2009-04-24 03:44:41 EDT
I've tested with kernel-2.6.29.1-52.fc11 and it works.

Only when repeatedly switching from one user to another one, sometimes background is not redrawn completely in screen lock (it should be black with password dialog), but about one third of the screen is filled with grey and whit chessboard. But I  don't know if it's nouveau related or KDE4 related.
Comment 14 Michal Hlavinka 2009-04-24 03:45:39 EDT
Created attachment 341112 [details]
screenshot
Comment 15 Adam Williamson 2009-04-28 19:11:32 EDT
That's a different bug, so please file it separately, or else we'll get a confused report. Thanks for the fix confirmation, closing bug.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 16 Michal Hlavinka 2009-05-11 12:14:27 EDT
I'm using xorg-x11-drv-nouveau-0.0.12-35.20090507git1072103.fc11.x86_64 now and I've found similar problem. Sometimes, when second user is closing his session, it switches to first session, mouse cursor is visible (mouse does not react) and computer is frozen. Unfortunately, I'm not able to reproduce this at will. Xorg.0.log and Xorg.1.log doesn't contain anything about this (I assume no data are synced to disk). I'll check if I'm able to reproduce this with nv driver.
Comment 17 Michal Hlavinka 2009-05-13 03:00:05 EDT
Unfortunately, I'm able to reproduce this again.

When switching user, sometimes, computer gets frozen, sometimes it's responding to power off button and shuts down successfuly (not reacting to keys or mouse, display with garbage).

There is small change: in original description, problem occurred when I started second session. Now problem occurs when switching from one to second. It can be reproduced also when switching from one session to console. For both reproducers it usually doesn't occurs when switching for first time, but after several (about 10) tries.

only interesting in /var/log/messages:
May 13 08:42:36 localhost kernel: nouveau 0000:02:00.0: nouveau_fifo_free: freeing fifo 1
May 13 08:42:36 localhost kernel: nouveau 0000:02:00.0: nouveau_fifo_free: freeing fifo 0
May 13 08:42:36 localhost kernel: ksmserver[2057]: segfault at 8 ip 000000382b83eddb sp 00007f1092bb6578 error 4 in libQtDBus.so.4.5.1[382b800000+69000]
May 13 08:42:36 localhost kdm[1771]: X server for display :0 terminated unexpectedly
May 13 08:42:36 localhost kdm: :0[3274]: Cannot move user authorization into place
May 13 08:42:36 localhost kernel: nouveau 0000:02:00.0: Allocating FIFO number 0
May 13 08:42:36 localhost kernel: nouveau 0000:02:00.0: nouveau_fifo_alloc: initialised FIFO 0
May 13 08:42:37 localhost kernel: nouveau 0000:02:00.0: Allocating FIFO number 1
May 13 08:42:37 localhost kernel: nouveau 0000:02:00.0: nouveau_fifo_alloc: initialised FIFO 1
May 13 08:42:42 localhost setroubleshoot: SELinux is preventing kdm (xdm_t) "unlink" to .Xauthority (user_home_t). For complete SELinux messages. run sealert -l a245f847-e051-4238-a144-c3753f97f3f2
May 13 08:43:10 localhost kdm: :0[3282]: Fatal X server IO error: Broken pipe
May 13 08:43:10 localhost kernel: nouveau 0000:02:00.0: nouveau_fifo_free: freeing fifo 1
May 13 08:43:10 localhost kernel: nouveau 0000:02:00.0: nouveau_fifo_free: freeing fifo 0
Comment 18 Michal Hlavinka 2009-05-13 03:01:57 EDT
Created attachment 343713 [details]
new Xorg.0.log

from session<->console reproducer, so no Xorg.1.log
Comment 19 Michal Hlavinka 2009-05-13 03:03:52 EDT
problem from comment #17 is not reproducible with nv driver
Comment 20 Bug Zapper 2009-06-09 08:39:11 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 21 Matěj Cepl 2009-11-05 13:23:41 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 22 Michal Hlavinka 2009-11-06 04:17:48 EST
I no longer have hardware I was able to reproduce this on. That laptop died three weeks ago
Comment 23 Adam Williamson 2009-11-06 15:41:26 EST
since we never had any other reproducer, we'll have to close this, then.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers